Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class FactoryConfigurationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              com.sun.syndication.propono.atom.server.FactoryConfigurationError

All Implemented Interfaces:
  Serializable

    public class FactoryConfigurationError

extends Error

Thrown when a problem with configuration with the `AtomHandlerFactory` exists. This error will typically be thrown when the class of a parser factory specified in the system properties cannot be found or instantiated.

See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()` Create a new `FactoryConfigurationError` with no detail mesage.
`FactoryConfigurationError(Exception e)` Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
`FactoryConfigurationError(Exception e, String msg)` Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
`FactoryConfigurationError(String msg)` Create a new `FactoryConfigurationError` with the `String` specified as an error message.

Method Summary
`Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

  Create a new `FactoryConfigurationError` with no detail mesage.

### FactoryConfigurationError

    public FactoryConfigurationError(String msg)

  Create a new `FactoryConfigurationError` with the `String` specified as an error message.

  Parameters:
    `msg` - The error message for the exception.

### FactoryConfigurationError

    public FactoryConfigurationError(Exception e)

  Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.

  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError.

### FactoryConfigurationError

    public FactoryConfigurationError(Exception e,
                                     String msg)

  Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.

  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError
    `msg` - The detail message.

Method Detail

### getMessage

    public String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception, if it exists will be returned. Else the name of the encapsulated exception will be returned.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error message.

### getException

    public Exception getException()

  Return the actual exception (if any) that caused this exception to be raised.

  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD